import BaseFoundation, { DefaultAdapter } from "../base/foundation";
export interface PreviewImageAdapter<P = Record<string, any>, S = Record<string, any>> extends DefaultAdapter<P, S> {
    getContainer: () => HTMLDivElement;
    getImage: () => HTMLImageElement;
    setLoading: (loading: boolean) => void;
    setImageCursor: (canDrag: boolean) => void;
}
export interface DragDirection {
    canDragVertical: boolean;
    canDragHorizontal: boolean;
}
export interface ExtremeBounds {
    left: number;
    top: number;
}
export interface ImageOffset {
    x: number;
    y: number;
}
export default class PreviewImageFoundation<P = Record<string, any>, S = Record<string, any>> extends BaseFoundation<PreviewImageAdapter<P, S>, P, S> {
    constructor(adapter: PreviewImageAdapter<P, S>);
    startMouseOffset: {
        x: number;
        y: number;
    };
    originImageWidth: any;
    originImageHeight: any;
    _isImageVertical: () => boolean;
    _getImageBounds: () => DOMRect;
    _getContainerBounds: () => DOMRect;
    _getOffset: (e: any) => ImageOffset;
    setLoading: (loading: boolean) => void;
    handleWindowResize: () => void;
    handleLoad: (e: any) => void;
    handleError: (e: any) => void;
    handleResizeImage: (notify?: boolean) => void;
    handleRatioChange: () => void;
    handleRightClickImage: (e: any) => boolean;
    calcCanDragDirection: () => DragDirection;
    calculatePreviewImage: (newZoom: number, e: any) => void;
    calcExtremeBounds: () => ExtremeBounds;
    handleMoveImage: (e: any) => void;
    handleImageMouseDown: (e: any) => void;
}
